/* /Views/Error/Index.cshtml.rz.scp.css */


@keyframes rocket-movement-b-0odat9pw0m {
    0% {
        top: 75%;
        left: calc(0% - 70px);
    }

    100% {
        top: 0%;
        left: calc(100% + 70px);
    }
}

@keyframes spin-earth-b-0odat9pw0m {
    100% {
        -webkit-transform: rotate(-360deg);
        transform: rotate(-360deg);
        transition: transform 20s;
    }
}


@keyframes move-astronaut-b-0odat9pw0m {
    100% {
        -webkit-transform: translate(-160px, -160px);
        transform: translate(-160px, -160px);
    }
}


@keyframes rotate-astronaut-b-0odat9pw0m {
    100% {
        -webkit-transform: rotate(-720deg);
        transform: rotate(-720deg);
    }
}



@keyframes glow-star-b-0odat9pw0m {
    40% {
        opacity: 0.3;
    }

    90%, 100% {
        opacity: 1;
        -webkit-transform: scale(1.2);
        transform: scale(1.2);
        border-radius: 999999px;
    }
}

.spin-earth-on-hover[b-0odat9pw0m] {
    transition: ease 200s !important;
    transform: rotate(-3600deg) !important;
}

*[b-0odat9pw0m] {
    box-sizing: border-box;
}

.main[b-0odat9pw0m], input[b-0odat9pw0m], textarea[b-0odat9pw0m], select[b-0odat9pw0m], button[b-0odat9pw0m], pre[b-0odat9pw0m] {
    font-family: IRANSansX;
    font-size: 14px;
    direction: rtl
}
.main[b-0odat9pw0m] {
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    overflow: hidden;
    width: 100vw;
    height: 100vh;
    max-width: 100%;
    max-height: 100%;
    position: relative;
    background: radial-gradient(circle at bottom, #6f366f 0%, #423163 85%);
}

.custom-navbar[b-0odat9pw0m] {
    padding-top: 30px;
    text-align: center;
    width: 100%;
}

.brand-logo[b-0odat9pw0m] {
    margin-top: 5px;
    margin-bottom: 5px;
    display: inline-block;
    width: 50%;
    max-width: 160px;
}

.brand-logo img[b-0odat9pw0m] {width:120px;}
.btn-request[b-0odat9pw0m] {
    padding: 10px 25px;
    border: 1px solid #FFCB39;
    border-radius: 100px;
    font-weight: 400;
}

.btn-request:hover[b-0odat9pw0m] {
    background-color: #FFCB39;
    color: #fff;
    transform: scale(1.05);
    box-shadow: 0px 20px 20px rgba(0, 0, 0, 0.1);
}



.central-body[b-0odat9pw0m] {
    padding: 0 40px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    width: 100%;
    text-align: center;
    text-shadow: 2px 2px 6px rgba(0, 0, 0, 1);
    gap:20px
}

.object_rocket[b-0odat9pw0m] {
    z-index: 95;
    position: absolute;
    left: 0;
    top: 75%;
    pointer-events: none;
    animation: rocket-movement-b-0odat9pw0m 200s linear infinite both running;
}

.object_earth[b-0odat9pw0m] {
    position: absolute;
    top: 20%;
    left: 15%;
    z-index: 90;
}

.object_astronaut[b-0odat9pw0m] {
    animation: rotate-astronaut-b-0odat9pw0m 200s infinite linear both alternate;
}

.error-404[b-0odat9pw0m] {
    color: #fff;
    font-size: 160px;
    position: relative;
    z-index: 100;
    line-height: 1;
    pointer-events: none;
}

.desc-404[b-0odat9pw0m] {
    color: #fff;
    font-size: 20px;
    position: relative;
    z-index: 100;
    pointer-events: none;
}

.stars[b-0odat9pw0m] {
    height: 100%;
    background: url(../error/overlay_stars.svg);
    background-repeat: repeat;
    background-size: contain;
    background-position: center center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 30px;
}

.glowing_stars .star[b-0odat9pw0m] {
    position: absolute;
    border-radius: 100%;
    background-color: #fff;
    width: 3px;
    height: 3px;
    opacity: 0.3;
    will-change: opacity;
}

.glowing_stars .star:nth-child(1)[b-0odat9pw0m] {
    top: 80%;
    left: 25%;
    animation: glow-star-b-0odat9pw0m 2s infinite ease-in-out alternate 1s;
}

.glowing_stars .star:nth-child(2)[b-0odat9pw0m] {
    top: 20%;
    left: 40%;
    animation: glow-star-b-0odat9pw0m 2s infinite ease-in-out alternate 3s;
}

.glowing_stars .star:nth-child(3)[b-0odat9pw0m] {
    top: 25%;
    left: 25%;
    animation: glow-star-b-0odat9pw0m 2s infinite ease-in-out alternate 5s;
}

.glowing_stars .star:nth-child(4)[b-0odat9pw0m] {
    top: 75%;
    left: 80%;
    animation: glow-star-b-0odat9pw0m 2s infinite ease-in-out alternate 7s;
}

.glowing_stars .star:nth-child(5)[b-0odat9pw0m] {
    top: 90%;
    left: 50%;
    animation: glow-star-b-0odat9pw0m 2s infinite ease-in-out alternate 9s;
}

@media only screen and (max-width: 600px) {
}


.center[b-0odat9pw0m] {
    position: absolute;
    top: 70%;
    left: 80%;
    transform: translate(-50%, -50%);
    transition: transform 0.5s;
    z-index: 1;
    pointer-events:none;
}

@media screen and (max-height: 600px) {
    .center[b-0odat9pw0m] {
        transform: translate(-50%, -50%) scale(0.75);
    }
}

@media screen and (max-width: 400px) {
    .center[b-0odat9pw0m] {
        transform: translate(-50%, -50%) scale(0.6);
    }
}

.circle[b-0odat9pw0m] {
    position: absolute;
    top: 700%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: 50%;
}

.astronaut[b-0odat9pw0m] {
    position: absolute;
    top: -115px;
    left: -30px;
    transform: rotate(17deg);
}

.astronaut .astronaut-backpack[b-0odat9pw0m] {
    width: 100px;
    height: 100px;
    background-color: #e3e3e3;
    border-radius: 10px;
}

.astronaut .antena--left[b-0odat9pw0m] {
    left: 10px;
}

.astronaut .antena--right[b-0odat9pw0m] {
    right: 10px;
}

.astronaut .astronaut-antena[b-0odat9pw0m] {
    position: absolute;
    top: -7px;
}

.astronaut .astronaut-antena .ear-down[b-0odat9pw0m] {
    position: absolute;
    bottom: -5px;
    width: 15px;
    height: 20px;
    border-radius: 5px;
    background-color: #afafaf;
    z-index: 1;
}

.astronaut .astronaut-antena .ear-up[b-0odat9pw0m] {
    position: relative;
    width: 15px;
    height: 20px;
    border-radius: 5px;
    background-color: #c3c3c3;
    z-index: 2;
}

.astronaut .astronaut-antena .antena[b-0odat9pw0m] {
    position: absolute;
    top: -29px;
    width: 2px;
    height: 30px;
    border-radius: 5px;
    background-color: #c3c3c3;
}

.astronaut .astronaut-antena .antena-tip[b-0odat9pw0m] {
    position: absolute;
    top: -33px;
    width: 6px;
    height: 6px;
    border-radius: 50%;
    background-color: #c3c3c3;
}

.astronaut .antena--left .antena[b-0odat9pw0m] {
    left: 5px;
}

.astronaut .antena--right .antena[b-0odat9pw0m] {
    right: 5px;
}

.astronaut .antena--left .antena-tip[b-0odat9pw0m] {
    left: 3px;
}

.astronaut .antena--right .antena-tip[b-0odat9pw0m] {
    right: 3px;
}

.astronaut .astronaut-helmet[b-0odat9pw0m] {
    position: absolute;
    top: -30px;
    left: 50%;
    width: 66px;
    height: 66px;
    border-radius: 50%;
    background-color: #fff;
    box-shadow: 0px 5px 1px -3px #808080;
    transform: translateX(-50%);
    z-index: 3;
    overflow: hidden;
}

.astronaut .astronaut-glass[b-0odat9pw0m] {
    position: absolute;
    top: 13px;
    left: 5px;
    width: 56px;
    height: 56px;
    background: #00202e;
    border-radius: 10px;
}

.astronaut .glow[b-0odat9pw0m] {
    position: absolute;
    border-radius: 50%;
    background-color: #334d57;
}

.astronaut .glow--1[b-0odat9pw0m] {
    top: 25px;
    left: 15px;
    width: 17px;
    height: 17px;
}

.astronaut .glow--2[b-0odat9pw0m] {
    top: 44px;
    left: 13px;
    width: 7px;
    height: 7px;
}

.astronaut .astronaut-body[b-0odat9pw0m] {
    position: absolute;
    top: 30px;
    left: 50%;
    width: 50px;
    height: 50px;
    background-color: #c3c3c3;
    transform: translateX(-50%);
}

.astronaut-wire[b-0odat9pw0m] {
    position: absolute;
    top: -40px;
    left: -260px;
}

.astronaut-hands[b-0odat9pw0m] {
    position: absolute;
    top: -89px;
    left: -23px;
    width: 100px;
    transform: rotate(17deg);
    z-index: 3;
}

.astronaut-hands .astronaut-hand[b-0odat9pw0m] {
    position: absolute;
}

.astronaut-hands .hand--left[b-0odat9pw0m] {
    left: -3px;
}

.astronaut-hands .hand--right[b-0odat9pw0m] {
    transform: scaleX(-1);
    right: -3px;
}

.oh[b-0odat9pw0m] {
    transition: all 0.1s linear;
    -webkit-animation: floating 4s linear infinite;
    animation: floating-b-0odat9pw0m 4s linear infinite;
    z-index: 2;
}

.planet[b-0odat9pw0m] {
    background-color: #ff4980;
    box-shadow: inset -6px -10px 0px 1px #cc3b6b, 0px 2px 10px rgba(0, 0, 0, 0.4);
    width: 155px;
    height: 155px;
}

.craters .crater[b-0odat9pw0m] {
    position: absolute;
    border-radius: 50%;
    background-color: #c93667;
}

.craters .crater--1[b-0odat9pw0m] {
    width: 35px;
    height: 35px;
    top: 30px;
    left: 25px;
}

.craters .crater--2[b-0odat9pw0m] {
    width: 23px;
    height: 23px;
    top: 20px;
    left: 93px;
}

.craters .crater--3[b-0odat9pw0m] {
    width: 17px;
    height: 17px;
    top: 77px;
    left: 17px;
}

.craters .crater--4[b-0odat9pw0m] {
    width: 10px;
    height: 10px;
    top: 90px;
    left: 80px;
}

.craters .crater--5[b-0odat9pw0m] {
    width: 25px;
    height: 25px;
    top: 115px;
    left: 50px;
}

.craters .crater--6[b-0odat9pw0m] {
    width: 13px;
    height: 13px;
    top: 118px;
    left: 105px;
}

.btn[b-0odat9pw0m] {
    color: #fff;
    z-index: 1;
    background: transparent;
    position: relative;
    padding: 8px 50px;
    border-radius: 30px;
    cursor: pointer;
    font-size: 14px;
    transition: 0.2s ease;
    font-weight: bold;
    margin: 30px auto;
    overflow: hidden;
    display: block;
    width: max-content;
    text-decoration: none;
}

.btn.green[b-0odat9pw0m] {
    border: 4px solid #2ccf6d;
    z-index:2;
}

.btn.green[b-0odat9pw0m]:before {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    width: 0%;
    height: 100%;
    background: #2ccf6d;
    z-index: -1;
    transition: 0.2s ease;
    border-radius: 30px;
}

.btn.green:hover[b-0odat9pw0m] {
    color: #fff;
    /* background: var(--green);
            transition: 0.2s ease;*/
}

.btn.green:hover[b-0odat9pw0m]:before {
    width: 100%;
}

#footer[b-0odat9pw0m] {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    padding: 10px;
    text-align: center;
}

#footer a[b-0odat9pw0m] {
    font-size: 13px;
    color: #fff;
    text-decoration: none;
}

@-webkit-keyframes blink {

    0%, 100% {
        transform: scale(1);
        opacity: 1;
    }

    50% {
        transform: scale(0.4);
        opacity: 0.5;
    }
}

@keyframes blink-b-0odat9pw0m {

    0%, 100% {
        transform: scale(1);
        opacity: 1;
    }

    50% {
        transform: scale(0.4);
        opacity: 0.5;
    }
}



@keyframes floating-b-0odat9pw0m {

    0%, 100% {
        transform: translate(2px, -3px) rotate(-2deg);
    }

    20% {
        transform: translate(3px, 0px) rotate(0deg);
    }

    40% {
        transform: translate(2px, -1px) rotate(-1deg);
    }

    60% {
        transform: translate(3px, -3px) rotate(-1deg);
    }

    80% {
        transform: translate(-1px, 3px) rotate(0deg);
    }
}

@media only screen and (max-width: 850px) {
    .error-404[b-0odat9pw0m]{
        font-size:130px;
    }
}
@media only screen and (max-width: 768px) {
    .object_rocket[b-0odat9pw0m] {
        transform: rotate(354deg);
    }
}

@media only screen and (max-width: 600px) {
    .earth-moon[b-0odat9pw0m]{display:none;}
    .error-404[b-0odat9pw0m] {
        font-size: 16vw;
    }
}
@media only screen and (max-width: 425px) {
    .object_rocket[b-0odat9pw0m] {
        transform: rotate(348deg)
    }
    #footer a[b-0odat9pw0m]{
        font-size:11px;
    }
}
/* /Views/Profile/Login.cshtml.rz.scp.css */

#loginbox[b-b1yudkteyv] { position: fixed; inset: 0; overflow: hidden; display: flex; justify-content: center; align-items: center;


}
#loginbox[b-b1yudkteyv]::before {content:"";position:absolute;inset:0; background-color: #fff; background-image: url(/images/webbg.webp); background-repeat: no-repeat; background-position: center center; background-size: min(900px,100vw); transition: background-size ease-out 0.2s;opacity:0.6 }
#loginbox[b-b1yudkteyv]  form {z-index:1 ;max-width: 540px; width: 100%; padding: 40px; box-sizing: border-box; display: flex; flex-direction: column; gap: 20px; align-items: center; margin: 0 auto; justify-content: center; }
.captchainput[b-b1yudkteyv] { display: grid; grid-template-columns: 1fr 1fr; align-items: center; height: 37px; box-sizing: border-box; justify-items: end; gap: 10px; }

.captchainputinput[b-b1yudkteyv]::-webkit-outer-spin-button,
.captchainputinput[b-b1yudkteyv]::-webkit-inner-spin-button { -webkit-appearance: none; margin: 0; }

.captchainputinput[b-b1yudkteyv] { -moz-appearance: textfield; }

.captchainput > div[b-b1yudkteyv] { border: 1px solid rgba(42, 40, 49,.04); border-radius: 5px; overflow: hidden; width: max-content; display: flex; align-items: center; }

.captchainput img[b-b1yudkteyv] { height: 40px; }

.captchainput i[b-b1yudkteyv] { font-size: 20px; padding: 0 10px; cursor: pointer; }


#loginbox[b-b1yudkteyv]  form .inputs { width: 100%; display: flex; flex-direction: column; gap: 10px; }
#loginbox[b-b1yudkteyv]  form .buttons { text-align: center; margin: 20px 0; }

#loginbox[b-b1yudkteyv]  form .buttons button { text-align: center; color: #fff; background: var(--primary-color); width: 170px; padding: 12px 0; border-radius: 30px; border: 2px solid var(--primary-color); height: 44px }
/* /Views/Shared/_Layout.cshtml.rz.scp.css */
